import { ModelConditionUtil, ModelConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { BMViewModel } from './BMViewModel';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-06-02 09:56
 */
interface BMVersion {
    /**
    * 应用ID
    * @type { string }
    */
    appId?: string;
    /**
    * 基础版本ID
    * @type { string }
    */
    basicVersionId?: string;
    /**
    * 模型项目ID
    * @type { string }
    */
    bmProjectId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * Gradle包名
    * @type { string }
    */
    gradlePackageName?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * Java构建状态 0:成功,1失败,3待构建
    * @type { string }
    */
    javaBuildStatus?: string;
    /**
    * 主版本
    * @type { number }
    */
    major?: number;
    /**
    * 次版本
    * @type { number }
    */
    minor?: number;
    /**
    * NPM构建状态 0:成功,1失败,3待构建
    * @type { string }
    */
    npmBuildStatus?: string;
    /**
    * NPM包名
    * @type { string }
    */
    npmPackageName?: string;
    /**
    * 是否已发布的
    * @type { boolean }
    */
    released?: boolean;
    /**
    * 服务中心ID
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 子表 BMViewModel
    * @type { BMViewModel[] }
    */
    bMViewModel: BMViewModel[];
}
interface BMVersionMCU extends ModelConditionUtil<BMVersionMCU> {
    APP_ID: FieldUtil<BMVersionMCU>;
    BASIC_VERSION_ID: FieldUtil<BMVersionMCU>;
    BM_PROJECT_ID: FieldUtil<BMVersionMCU>;
    CREATE_TIME: FieldUtil<BMVersionMCU>;
    CREATE_USER_ID: FieldUtil<BMVersionMCU>;
    DESCRIPTION: FieldUtil<BMVersionMCU>;
    GRADLE_PACKAGE_NAME: FieldUtil<BMVersionMCU>;
    ID: FieldUtil<BMVersionMCU>;
    JAVA_BUILD_STATUS: FieldUtil<BMVersionMCU>;
    MAJOR: FieldUtil<BMVersionMCU>;
    MINOR: FieldUtil<BMVersionMCU>;
    NPM_BUILD_STATUS: FieldUtil<BMVersionMCU>;
    NPM_PACKAGE_NAME: FieldUtil<BMVersionMCU>;
    RELEASED: FieldUtil<BMVersionMCU>;
    SERVICE_CENTER_ID: FieldUtil<BMVersionMCU>;
    UPDATE_TIME: FieldUtil<BMVersionMCU>;
    UPDATE_USER_ID: FieldUtil<BMVersionMCU>;
    VERSION_NO: FieldUtil<BMVersionMCU>;
}
declare class BMVersionMCUImpl extends ModelConditionUtilImpl<BMVersionMCUImpl> implements BMVersionMCU {
    newInstance(): BMVersionMCUImpl;
    get APP_ID(): FieldUtil<BMVersionMCU>;
    get BASIC_VERSION_ID(): FieldUtil<BMVersionMCU>;
    get BM_PROJECT_ID(): FieldUtil<BMVersionMCU>;
    get CREATE_TIME(): FieldUtil<BMVersionMCU>;
    get CREATE_USER_ID(): FieldUtil<BMVersionMCU>;
    get DESCRIPTION(): FieldUtil<BMVersionMCU>;
    get GRADLE_PACKAGE_NAME(): FieldUtil<BMVersionMCU>;
    get ID(): FieldUtil<BMVersionMCU>;
    get JAVA_BUILD_STATUS(): FieldUtil<BMVersionMCU>;
    get MAJOR(): FieldUtil<BMVersionMCU>;
    get MINOR(): FieldUtil<BMVersionMCU>;
    get NPM_BUILD_STATUS(): FieldUtil<BMVersionMCU>;
    get NPM_PACKAGE_NAME(): FieldUtil<BMVersionMCU>;
    get RELEASED(): FieldUtil<BMVersionMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BMVersionMCU>;
    get UPDATE_TIME(): FieldUtil<BMVersionMCU>;
    get UPDATE_USER_ID(): FieldUtil<BMVersionMCU>;
    get VERSION_NO(): FieldUtil<BMVersionMCU>;
}
declare class BMVersionMU extends TableUtilImpl<BMVersionMCU, BMVersion> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    constructor();
    createModelConditionUtil(): BMVersionMCU;
    static get APP_ID(): FieldUtil<BMVersionMCU>;
    static get BASIC_VERSION_ID(): FieldUtil<BMVersionMCU>;
    static get BM_PROJECT_ID(): FieldUtil<BMVersionMCU>;
    static get CREATE_TIME(): FieldUtil<BMVersionMCU>;
    static get CREATE_USER_ID(): FieldUtil<BMVersionMCU>;
    static get DESCRIPTION(): FieldUtil<BMVersionMCU>;
    static get GRADLE_PACKAGE_NAME(): FieldUtil<BMVersionMCU>;
    static get ID(): FieldUtil<BMVersionMCU>;
    static get JAVA_BUILD_STATUS(): FieldUtil<BMVersionMCU>;
    static get MAJOR(): FieldUtil<BMVersionMCU>;
    static get MINOR(): FieldUtil<BMVersionMCU>;
    static get NPM_BUILD_STATUS(): FieldUtil<BMVersionMCU>;
    static get NPM_PACKAGE_NAME(): FieldUtil<BMVersionMCU>;
    static get RELEASED(): FieldUtil<BMVersionMCU>;
    static get SERVICE_CENTER_ID(): FieldUtil<BMVersionMCU>;
    static get UPDATE_TIME(): FieldUtil<BMVersionMCU>;
    static get UPDATE_USER_ID(): FieldUtil<BMVersionMCU>;
    static get VERSION_NO(): FieldUtil<BMVersionMCU>;
    get APP_ID(): FieldUtil<BMVersionMCU>;
    get BASIC_VERSION_ID(): FieldUtil<BMVersionMCU>;
    get BM_PROJECT_ID(): FieldUtil<BMVersionMCU>;
    get CREATE_TIME(): FieldUtil<BMVersionMCU>;
    get CREATE_USER_ID(): FieldUtil<BMVersionMCU>;
    get DESCRIPTION(): FieldUtil<BMVersionMCU>;
    get GRADLE_PACKAGE_NAME(): FieldUtil<BMVersionMCU>;
    get ID(): FieldUtil<BMVersionMCU>;
    get JAVA_BUILD_STATUS(): FieldUtil<BMVersionMCU>;
    get MAJOR(): FieldUtil<BMVersionMCU>;
    get MINOR(): FieldUtil<BMVersionMCU>;
    get NPM_BUILD_STATUS(): FieldUtil<BMVersionMCU>;
    get NPM_PACKAGE_NAME(): FieldUtil<BMVersionMCU>;
    get RELEASED(): FieldUtil<BMVersionMCU>;
    get SERVICE_CENTER_ID(): FieldUtil<BMVersionMCU>;
    get UPDATE_TIME(): FieldUtil<BMVersionMCU>;
    get UPDATE_USER_ID(): FieldUtil<BMVersionMCU>;
    get VERSION_NO(): FieldUtil<BMVersionMCU>;
}
export { BMVersionMCU, BMVersionMCUImpl, BMVersion, BMVersionMU };
